GT-COMPREADS-REFCO(1)

NAME
gt-compreads-refcompress - Generates compact encoding for fastq data using Reference Compressed Reads (RCR).

SYNOPSIS

gt compreads refcompress [option ...] (-bam file -ref file)

DESCRIPTION

-v [yes|no]
    be verbose (default: no)

-mquals [yes|no]
    store mapping quality for each read (default: no)

-quals [yes|no]
    store all quality values for each read, this implies enabling of option "vquals" (default: no)

-vquals [yes|no]
    store quality values of read positions having variations compared to reference (default: no)

-descs [yes|no]
    store read name for each read (default: no)

-ureads [yes|no]
    store unmapped reads in a separated fastq file (base name will be the value given in name and suffix will be " _unmapped.fastq" (default: no)

-ref [string]
    Index file (generated by the gt encseq tool) for reference genome. (default: undefined)

-bam [string]
    File containing alignment of reads to genome (sorted ".bam" file). (default: undefined)

-name [string]
    specify base name for RCR to be generated. If not set, base name will be set to base name of value given for option "bam" (default: undefined)

-help
    display help and exit

-version
    display version information and exit

REPORTING BUGS

Report bugs to https://github.com/genometools/genometools/issues.